> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhooks

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /orgs/{org}/hooks`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#list-organization-webhooks) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List organization webhooks
* [`POST /orgs/{org}/hooks`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#create-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Create an organization webhook
* [`GET /orgs/{org}/hooks/{hook_id}`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#get-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get an organization webhook
* [`PATCH /orgs/{org}/hooks/{hook_id}`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#update-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update an organization webhook
* [`DELETE /orgs/{org}/hooks/{hook_id}`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#delete-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete an organization webhook
* [`GET /orgs/{org}/hooks/{hook_id}/config`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a webhook configuration for an organization
* [`PATCH /orgs/{org}/hooks/{hook_id}/config`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Update a webhook configuration for an organization
* [`GET /orgs/{org}/hooks/{hook_id}/deliveries`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#list-deliveries-for-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List deliveries for an organization webhook
* [`GET /orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#get-a-webhook-delivery-for-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get a webhook delivery for an organization webhook
* [`POST /orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#redeliver-a-delivery-for-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Redeliver a delivery for an organization webhook
* [`POST /orgs/{org}/hooks/{hook_id}/pings`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/webhooks#ping-an-organization-webhook) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Ping an organization webhook
